CRMchat APIBeta
Telegram APIChannels

channels.toggleViewForumAsMessages

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/channels.toggleViewForumAsMessages

Users may also choose to display messages from all topics of a forum as if they were sent to a normal group, using a "View as messages" setting in the local client: this setting only affects the current account, and is synced to other logged in sessions using this method. Invoking this method will update the value of the view_forum_as_messages flag of RawChannelFull or RawDialog and emit an RawUpdateChannelViewForumAsMessages.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Users may also choose to display messages from all topics of a forum as if they were sent to a normal group, using a "View as messages" setting in the local client: this setting only affects the current account, and is synced to other logged in sessions using this method. Invoking this method will update the value of the view_forum_as_messages flag of RawChannelFull or RawDialog and emit an RawUpdateChannelViewForumAsMessages.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.toggleViewForumAsMessages" \  -H "Content-Type: application/json" \  -d '{    "params": {      "channel": {        "_": "inputChannelEmpty"      },      "enabled": true    }  }'
{  "result": {    "_": "updatesTooLong"  }}